const express = require('express');
const bodyParser = require('body-parser');
const https = require('https')
const axios = require('axios');
const app = express();
const port = process.env.PORT || 8080;

app.use(bodyParser.json());


app.get('/verify', (req, res) => {
    console.log(req.query.id)
    axios
    .get(`https://visitor-counter-9a3ff-default-rtdb.europe-west1.firebasedatabase.app/users/${req.query.id}.json`)
    .then((response) => {
        // console.log(response.data.name);
       
        console.log(req.query.id);
        if(response.data) { 
            if(!response.data['nume']) {

                const date = new Date().getTime();
                axios.put(`https://visitor-counter-9a3ff-default-rtdb.europe-west1.firebasedatabase.app/logs/${req.query.id}/${date}.json`, {
                    action: 'enter'
                })
                .then(response => {
                    // console.log(response);
                }).catch(error => {
                    console.log(error);
                })
            }
            return res.status(200).send(`Hello ${response.data.name}`);
        } else {
            return res.status(200).send("Not authorized");
        }
    }).catch(error => {
        console.log(error);
        return res.status(200).send("Not authorized");
    })
    
      
   
});

app.get('/leave', (req, res) => {
    console.log('iesire', req.query.id);
    const date = new Date().getTime();
    axios.put(`https://visitor-counter-9a3ff-default-rtdb.europe-west1.firebasedatabase.app/logs/${req.query.id}/${date}.json`, {
        action: 'leave'
    })
    .then(response => {
        console.log(response);
    }).catch(error => {
        console.log(error);
    })
    res.status(200).send('actiune realizata cu succes')
});
app.listen(port, () => {
    console.log(`Listening on port ${port}`)
})